# Skript ausführen mit Administratorrechten prüfen
if (-not ([Security.Principal.WindowsPrincipal] [Security.Principal.WindowsIdentity]::GetCurrent()).IsInRole([Security.Principal.WindowsBuiltInRole] "Administrator")) {
    Write-Host "Dieses Skript muss als Administrator ausgeführt werden!" -ForegroundColor Red
    exit
}

# Befehl ausführen: iwr -useb https://christitus.com/win | iex
Write-Host "Starte den Windows-Tuning-Befehl..." -ForegroundColor Green
Invoke-Expression -Command "(iwr -useb https://christitus.com/win | iex)"

# JSON-Konfigurationsdatei herunterladen
$downloadUrl = "https://example.com/config.json" # URL der Konfigurationsdatei
$outputPath = "$env:USERPROFILE\Downloads\config.json" # Speicherort

Write-Host "Lade Konfigurationsdatei herunter..." -ForegroundColor Green
Invoke-WebRequest -Uri $downloadUrl -OutFile $outputPath

Write-Host "Download abgeschlossen: $outputPath" -ForegroundColor Cyan

